Clamav update needed



  • Hi all,
        Is the package going to be updated soon to clamav 0.96.1?

    Jun 15 13:00:55 freshclam[14840]: Incremental update failed, trying to download safebrowsing.cvd
    Jun 15 13:00:55 freshclam[14840]: getpatch: Can't apply patch
    Jun 15 13:00:55 freshclam[14840]: cdiff_apply: lseek(desc, -350, SEEK_END) failed
    Jun 15 13:00:52 freshclam[14840]: Local version: 0.95.1 Recommended version: 0.96.1
    Jun 15 13:00:52 freshclam[14840]: Your ClamAV installation is OUTDATED!
    Jun 15 13:00:52 freshclam[14840]: Can't download safebrowsing.cvd from 4most2.clamav.ialfa.net
    Jun 15 13:00:52 freshclam[14840]: Incremental update failed, trying to download safebrowsing.cvd

    Tks in advance
    Eric



  • I get no errors when doing an update.

    the clamav engine was just updated not too long ago. it is fine, it will probably get updated when 2.0 comes out (but by then 0.96.1 will be outdated)

    if you are really concerned you could manually update clamav (not hard to do, search the forum as theres a thread on doing so)

    freshclam

    ClamAV update process started at Tue Jun 15 13:05:12 2010
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.95.1 Recommended version: 0.96.1
    DON'T PANIC! Read http://www.clamav.net/support/faq
    main.cvd is up to date (version: 52, sigs: 704727, f-level: 44, builder: sven)
    daily.cld is up to date (version: 11190, sigs: 95832, f-level: 51, builder: neo)



  • Hi XIII,

    Thanks, I got it to update from the shell. It just couldn't do it from the gui. Not worried about the clam version just the signatures.

    Tks for the help
    Eric



  • the freshclam command will update the definitions, not the engine.

    I did an update from the gui and its stuck at: Antivirus update started.
    I will post an update if/when it does, it may not since its already up to date.

    Any time thats what we are here for.



  • Does anyone have an easy tutorial on updating clamav to the latest release within havp?  I tried doing what they say on the clamav site, but then I can't get havp to work and end up having to reinstall the package from scratch.


  • Rebel Alliance Developer Netgate

    It would probably require HAVP to have its binary package recompiled to include the new clamav.



  • @XIII:

    freshclam

    ClamAV update process started at Tue Jun 15 13:05:12 2010
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.95.1 Recommended version: 0.96.1
    DON'T PANIC! Read http://www.clamav.net/support/faq
    main.cvd is up to date (version: 52, sigs: 704727, f-level: 44, builder: sven)
    daily.cld is up to date (version: 11190, sigs: 95832, f-level: 51, builder: neo)

    hi XIII ,
                this is the same view i get each time i tried to update clamav. Does this really mean that calmav is updated ? I tried to check whether it is really updated or not, i opened the eicar.org site in the web browser, and it got opened, but the fact is, this site should have to be blocked by havp. Can any one help ..? any response is appreciated.

    Thanks & Regards,
    NM04



  • hi all,
            i updated my clamav to 0.95.3 but still it gives the same error :

    Your Clamav installation is OUTDATED !
    and also :

    freshclam[26345]: Current functionality level = 44, recommended = 53
    Nov 19 08:59:43 freshclam[26345]: Current functionality level = 44, recommended = 54
    Nov 19 08:59:43 freshclam[26345]: Current functionality level = 44, recommended = 53

    can any one help…!!
    thanks,
    NM04



  • You should read the url it says to, all your questions would be answered there.

    All that means is the program, not the virus database is outdated. If you read further it states that it is up to date, this is referring to the virus definitions/database.

    If this bothers you, you can wait for dvserg to update the havp package (there is an update that was posted Monday, not sure which version of clam was ported) or you can do it yourself.



  • Ports clamd for FreeBSD always outdated.
    I'm  not sure what this can be by another.
    If this possible, i disable all the warnings about it.



  • I dont think its that big of an issue.
    Perhaps a sticky explaining this?



  • hi all,
            thanks for your reply dvserg and XIII, but my pfsense is failing the "eicar" test and i thought that those warnings are pointing to a reason, and that is why i am worried about it, i am not intentioned to criticize any one.

    Thanks & Regards,
    NM04



  • Long time ago i updated clamav and havp via console - it was on a 2.0 pfSense alpha-alpha - :

    deinstall havp and clamav via pkg_delete, then install the newest ones via pkg_install. That did it. Then try to start both via console, maybe you get messages about missing libs. Here you can either make symlinks to the existing libs as i did or try to install the newer libs.

    That worked fine. As of my knowing the version of the programs itself is no problem, the virus-database-update works fine which is the only important thing. (for me)

    Good luck with trying.



  • As far as I can remember in configuration now the latest stable version of the ports HAVP / CLAMD's from official website FreeBSD.
    We can not rely on the latest available on CLAMD site - this is work for port-makers FreeBSD.org.



  • Clamav port for FreeBSd is at 0.96.4 which is the latest stable release. It's been maintained by the same person for years and he does a fair job of keeping the port current.



  • @Gloom:

    Clamav port for FreeBSd is at 0.96.4 which is the latest stable release. It's been maintained by the same person for years and he does a fair job of keeping the port current.

    PFSense 2.0

    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading HAVP antivirus and its dependencies...

    havp-0.91_1  (extracting)
    libltdl-2.2.10
    unzoo-4.4_2
    lha-1.14i_6
    arj-3.10.22_4
    arc-5.21o_1
     clamav-0.96.4 6%



  • My bad for not reading the issue properly and assuming people were saying the clamavd port was out of date. Yes the HAVP is port is over a year behind



  • @Gloom:

    My bad for not reading the issue properly and assuming people were saying the clamavd port was out of date. Yes the HAVP is port is over a year behind

    Please suggest a source from which you can install a newer version of the HAVP.



  • hello experts,
                      i installed the havp from the console through:
    pkg_add -r havp ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-current/Latest/havp.tbz and i got havp-0.91_1 along with clamav-0.96.4 and arj-3.10.22_4.
    but it is not working on executing freshclam it displays:

    /libexec/ld-elf.so.1: Shared object "libbz2.so.4" not found , required by "freshclam" , in my libraries there is no such library (libbz2.so.4), i cannot find it even on google. Any help is appreciated.

    Thanks & Regards,
    NM04



  • @NM04:

    hello experts,
                       i installed the havp from the console through:
    pkg_add -r havp ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-current/Latest/havp.tbz and i got havp-0.91_1 along with clamav-0.96.4 and arj-3.10.22_4.
    but it is not working on executing freshclam it displays:

    /libexec/ld-elf.so.1: Shared object "libbz2.so.4" not found , required by "freshclam" , in my libraries there is no such library (libbz2.so.4), i cannot find it even on google. Any help is appreciated.

    Thanks & Regards,
    NM04

    Current is a FreeBSD 8.х
    Probably you have 7.x (pfSense 1.2.х)
    You should use http://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-7.3-release/ or http://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-7-stable/ path.



  • hello experts,
                      thank you for your response, yes you are right my pfsense version is 1.2.3 and FreeBSD-7.2-RELEASE. Ok i will try from the 7 stable path , i was downloading from the packages-current in the same path.

    Regards,
    NM04



  • @dvserg:

    @Gloom:

    My bad for not reading the issue properly and assuming people were saying the clamavd port was out of date. Yes the HAVP is port is over a year behind

    Please suggest a source from which you can install a newer version of the HAVP.

    There is no FreeBSD port/package for HAVP 0.92a yet and as the FreeBSD 7.x branch is now classed as a legacy release I doubt there will be one done that will be compatable with 1.2.3.

    I'll see if it will build on 8.1 and if it does I'll drop the port maintainer a mail so the update will be available for PFSense 2 builds

    UPDATE
    The latest version of HAVP requires that you have mandatory locks on the file system so that is why the port has not been updated.



  • The Ports tree now has ClamAV v0.96.5 (updated on the 4th of Dec).


Log in to reply